Subject: bug#9600: 24.0.50; .gdbinit does not run

From: Sven Joachim <[email-masked]>
Date: Sun, 25 Sep 2011 20:22:19 +0200

On 2011-09-25 20:04 +0200, Eli Zaretskii wrote:

>> Date: Sun, 25 Sep 2011 13:34:20 -0400
>> From: Richard Stallman <[email-masked]>
>> 
>> I built Emacs in place.  GDB did not run .gdbinit because the file is
>> writable.  Once I saw that, I knew how to work around it, but it
>> should not be necessary for everyone that builds Emacs in place to
>> work around it.  It should be fixed in Emacs so the problem does not
>> occur.
>
> FWIW, I cannot reproduce this with GDB 7.3, 7.2, or 7.1 and with
> today's Emacs trunk.  I couldn't try earlier GDB versions.
>
> What are the exact permissions of your .gdbinit?  Mine are 664 in one
> tree and 666 in another; both work.

Richard may have a Debian-patched GDB which complains if the .gdbinit
file is world writable.

Cheers,
       Sven